#!/usr/bin/env python3
# encoding: utf-8

from flask import Flask
import led
import os

class MyFlask(Flask):

    def run(self, host=None, port=None, debug=None, load_dotenv=True, **options):
        if not self.debug or os.getenv("WERKZEUG_RUN_MAIN") == 'true':
            with self.app_context():
                led.setup()
        super(MyFlask, self).run(host=host, port=port, debug=debug, load_dotenv=load_dotenv, **options)

app = MyFlask(__name__)

@app.route('/')
def index():
    return "Benvenuto nel raspberry."

@app.route('/accendi')
@app.route('/on')
def accendi():
    led.pin_on()
    if led.stato_pin():
        return "LED acceso."

    return "LED Spento."

@app.route('/spegni')
@app.route('/off')
def spegni():
    led.pin_off()
    if led.stato_pin():
        return "LED acceso."

    return "LED spento."

@app.route('/toggle')
def toggle():
    led.toggle()
    if led.stato_pin():
        return "Il LED è acceso."
    
    return "Il LED è spento."

@app.route('/lampeggia')
def lampeggia():
    led.lampeggia()
    return "LED ha lampeggiato."

app.run()
